<?php
/**
 * Post Grid
 *
 * @package   WP Grid Builder - Beaver Builder
 * @author    Loïc Blascos
 * @copyright 2019-2022 Loïc Blascos
 */

namespace WP_Grid_Builder_Beaver_Builder\Includes\Providers;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Post Grid module
 *
 * @class WP_Grid_Builder_Beaver_Builder\Includes\Providers\Post_Grid
 * @since 1.0.0
 */
final class Post_Grid extends Provider {

	/**
	 * Module options
	 *
	 * @since 1.0.0
	 * @access public
	 *
	 * @return array
	 */
	public function options() {

		return array_merge(
			parent::options(),
			[
				'itemSelector' => '.fl-post-grid > *, .fl-post-gallery > *, .fl-post-feed > *, .fl-post-grid-empty > *',
				'module'       => 'post-grid',
				'isRTL'        => is_rtl() ? true : false,
				'layout'       => $this->module->layout,
				'pagination'   => $this->module->pagination,
				'postSpacing'  => empty( $this->module->post_spacing ) ? 60 : (int) $this->module->post_spacing,
				'postWidth'    => empty( $this->module->post_width ) ? 300 : (int) $this->module->post_width,
				'matchHeight'  => [
					'default'    => $this->module->match_height,
					'medium'     => $this->module->match_height_medium,
					'responsive' => $this->module->match_height_responsive,
				],
			]
		);
	}
}
