<?php
/**
 * Post Slider
 *
 * @package   WP Grid Builder - Beaver Builder
 * @author    Loïc Blascos
 * @copyright 2019-2022 Loïc Blascos
 */

namespace WP_Grid_Builder_Beaver_Builder\Includes\Providers;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Post Slider module
 *
 * @class WP_Grid_Builder_Beaver_Builder\Includes\Providers\Post_Slider
 * @since 1.0.0
 */
final class Post_Slider extends Provider {

	/**
	 * Module options
	 *
	 * @since 1.0.0
	 * @access public
	 *
	 * @return array
	 */
	public function options() {

		return array_merge(
			parent::options(),
			[
				'itemSelector'       => '.fl-post-slider-post',
				'module'             => 'post-slider',
				'navigationControls' => isset( $this->module->navigation ) && 'yes' === $this->module->navigation,
				'settings'           => [
					'mode'           => isset( $this->module->transition ) ? $this->module->transition : '',
					'pager'          => isset( $this->module->pagination ) && 'no' !== $this->module->pagination,
					'auto'           => ! empty( $this->module->auto_play ) && 'true' === $this->module->auto_play,
					'pause'          => ! empty( $this->module->speed ) ? $this->module->speed * 1000 : 1000,
					'speed'          => ! empty( $this->module->transitionDuration ) ? $this->module->transitionDuration * 1000 : 1000,
					'infiniteLoop'   => isset( $this->module->carousel_loop ) && 'true' === $this->module->carousel_loop,
					'adaptiveHeight' => true,
					'controls'       => false,
					'autoHover'      => true,
				],
			]
		);
	}
}
