<?php
/**
 * PP Content Grid
 *
 * @package   WP Grid Builder - Beaver Builder
 * @author    Loïc Blascos
 * @copyright 2019-2022 Loïc Blascos
 */

namespace WP_Grid_Builder_Beaver_Builder\Includes\Providers;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * PP Content Grid module
 *
 * @class WP_Grid_Builder_Beaver_Builder\Includes\Providers\PP_Content_Grid
 * @since 1.0.0
 */
final class PP_Content_Grid extends Provider {

	/**
	 * Module options
	 *
	 * @since 1.0.0
	 * @access public
	 *
	 * @return array
	 */
	public function options() {

		return array_merge(
			parent::options(),
			[
				'itemSelector' => '.pp-content-post-grid > *, .pp-content-posts-inner > *, .pp-content-grid-empty > *',
				'module'       => 'pp-content-grid',
			]
		);
	}
}
