<?php
/**
 * Woopack Product Grid
 *
 * @package   WP Grid Builder - Beaver Builder
 * @author    Loïc Blascos
 * @copyright 2019-2022 Loïc Blascos
 */

namespace WP_Grid_Builder_Beaver_Builder\Includes\Providers;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Woopack Product Grid module
 *
 * @class WP_Grid_Builder_Beaver_Builder\Includes\Providers\Product_Grid
 * @since 1.0.0
 */
final class Product_Grid extends Provider {

	/**
	 * Module options
	 *
	 * @since 1.0.0
	 * @access public
	 *
	 * @return array
	 */
	public function options() {

		return array_merge(
			parent::options(),
			[
				'itemSelector' => '.woopack-products > *, .woopack-grid-empty > *',
				'module'       => 'product-grid',
			]
		);
	}
}
