<?php
/**
 * Facet controls
 *
 * @package   WP Grid Builder - Beaver Builder
 * @author    Loïc Blascos
 * @copyright 2019-2022 Loïc Blascos
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $wpdb;

// We only query from Editor.
// phpcs:ignore WordPress.Security.NonceVerification.Recommended
if ( ! isset( $_REQUEST['fl_builder'] ) ) {
	return [];
}

return [
	'facet' => [
		'type'    => 'select',
		'label'   => __( 'Select a facet', 'wpgb-beaver-builder' ),
		'options' => (
			[ 0 => __( 'None', 'wpgb-beaver-builder' ) ] +
			array_column(
				$wpdb->get_results( "SELECT id, name, type FROM {$wpdb->prefix}wpgb_facets ORDER BY name ASC" ),
				'name',
				'id'
			)
		),
	],
	'grid'  => [
		'type'    => 'select',
		'label'   => __( 'Select a grid or module to filter', 'wpgb-beaver-builder' ),
		'options' => (
			[ 0 => __( 'None', 'wpgb-beaver-builder' ) ] +
			array_column(
				$wpdb->get_results( "SELECT id, name, type FROM {$wpdb->prefix}wpgb_grids ORDER BY name" ),
				'name',
				'id'
			)
		),
	],
];
