<?php
/**
 * Facet controls
 *
 * @package   WP Grid Builder - Beaver Builder
 * @author    Loïc Blascos
 * @copyright 2019-2022 Loïc Blascos
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $wpdb;

// We only query from Editor.
// phpcs:ignore WordPress.Security.NonceVerification.Recommended
if ( ! isset( $_REQUEST['fl_builder'] ) ) {
	return [];
}

$settings = [
	'grid' => [
		'type'    => 'select',
		'label'   => __( 'Select a grid', 'wpgb-beaver-builder' ),
		'options' => (
			[ 0 => __( 'None', 'wpgb-beaver-builder' ) ] +
			array_column(
				$wpdb->get_results( "SELECT id, name, type FROM {$wpdb->prefix}wpgb_grids ORDER BY name" ),
				'name',
				'id'
			)
		),
	],
];

if ( class_exists( 'FLThemeBuilderLoader' ) ) {

	$settings['is_main_query'] = [
		'type'    => 'select',
		'label'   => __( 'Archive Template', 'wpgb-beaver-builder' ),
		'default' => 0,
		'options' => (
			[
				0 => __( 'No', 'wpgb-beaver-builder' ),
				1 => __( 'Yes', 'wpgb-beaver-builder' ),
			]
		),
	];
}

return $settings;
